#eastern keep mark of air
from eventAPI import *
from APIUtils import *

rtkeep1Air = 0

def fireEvent(e):
   global rtkeep1Air
   rtkeep1Air = getTag(e, "rtkeep1Air")
   if (rtkeep1Air > 0):
      return 1
   else:
      if (poseYesNo(e, ["The symbol on the wall here is glowing.", "", "Will you touch the Symbol of Air?"])):
         giveMark(e)
      else:
         return 0

def giveMark(e):
   global rtkeep1Air
   rtkeep1Air = 1
   setTag(e, "rtkeep1Air", rtkeep1Air)
   showMessage(e, ["The air is violently sucked from your lungs and you struggle, gasping for breath."], optionInput)
   showMessage(e, ["When you recover, you notice that the symbol is no longer glowing."], optionInput)
   partyIdx = 0
   while (partyIdx < getPartyCount(e)):
      modifyHP(e, partyIdx, -30)
      partyIdx += 1
   return 1
